> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/getting-started/getting_started_showing_a_video.md).

# Showing a Video on Displays

Add a Video file to your Media Library and Schedule to play on Displays.

You may have Video content which has been created to showcase product promotions or show company updates to employees, ready to be shown full screen on your Display network.

Video files are first added to the Library by upload or by URL. For this example a Video file will be uploaded to the CMS Media Library.

## How-to Video Showing a Video

{% embed url="<https://youtu.be/MLJPmadsjeI>" %}

### Add Media

1. Click on **Media** under the **Library** section of the main CMS menu
2. Click the **Add Media** button
3. Drag and drop, enter a URL or click **Select files** and locate the Video file to upload
4. Click on the thumbnail and use the scroll bar to select a frame to use to make it easier to identify in Media Library lists
5. Click the Capture button in the top right of the screen
6. Provide a new **Name** or leave this field blank to keep the original file name
7. Click **Done** to return to the Media grid

### Select Media

1. From the **Media** grid use the filters to make it easier to find the uploaded video file if required
2. Use the row menu and select **Schedule**
3. Select which **Displays** to show the video on
4. If you want to use the default **Always** schedule, and happy with the default settings and have no further scheduling options to set, you can click **Finish** to complete the schedule
5. If you want to select alternative created **Dayparts** or **Custom** dates, select **Next**
6. To configure advanced scheduling options and override the duration of the video for example, click **Next**
7. **Duration in loop** determines how long this video should be shown each time it appears in a **Schedule Loop**
8. You can specify a **duration** here and provide a lower duration to cut the video short. When setting a higher duration, the video will loop back to the beginning and play to satisfy the duration applied
9. Click to **Finish** once all relevant fields have been completed

The CMS will now update a Schedule change and your Video will be shown on Displays for the timings set in the schedule.

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

## FAQs

***What are Schedule Loops?***

A Schedule Loop is how media content will play when in schedules with other media content. For example, if you have scheduled 2 media items each with a 10 second duration to be shown at the same time for 1 hour, both items will play for their 10 second durations in fair rotation for the scheduled time.

***Which file format is recommended for Videos?***

We recommend H264 MP4 file format.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/getting-started/getting_started_showing_a_video.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
